Core - Bug # 68413

Status: Resolved Priority: Must have

Author: Markus Klein Category: Backend User Interface
Created: 2015-07-21 Assigned To: Markus Klein

Updated: 2015-07-21 Due date:

TYPO3 Version: 7

PHP Version:

Complexity: easy

Is Regression: Yes

Sprint Focus: Stabilization Sprint

Subiject: Remove leftover references to Prototype JS in tbe_editor

Description

Related issues:

follows Core - Feature # 39721: Remove Prototype and script.aculo.us JavaScri... Resolved 2014-02-02

Associated revisions

Revision 9d917¢85 - 2015-07-21 16:23 - Markus Klein

[BUGFIX] Remove prototype JS from tbe_editor

Two references to prototype JS are removed from tbe_editor.
Code changed with the prototype removal is further streamlined.
One parameter, exclusively used for script.aculo.us, in

GeneralUtility::createVersionNumberedFilename is removed as well.

Releases: master

Resolves: #68413

Related: #39721

Change-Id: 19f8328b1789f3423aa33813de0cd736b135cfa55
Reviewed-on: http://review.typo3.org/41767

Reviewed-by: Frederic Gaus <frederic.gaus@flagbit.de>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Susanne Moog <typo3@susannemoog.de>

Tested-by: Susanne Moog <typo3@susannemoog.de>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2015-07-21 10:40 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41767

#2 - 2015-07-21 16:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9d917c85649ebdb42fb114a6fd500676e72abbc.
